Media::Convert::Normalizer(3pm)

NAME
Media::Convert::Normalizer - normalize the audio of an asset.

SYNOPSIS
  Media::Convert::Normalizer->new(input => Media::Convert::Asset->new(...), output => Media::Convert::Asset->new(...))->run();

DESCRIPTION
"Media::Convert::Normalizer" is a class to normalize the audio of a given Media::Convert::Asset asset, using ffmpeg by default.

ATTRIBUTES
The following attributes are supported by Media::Convert::Normalizer.

  input
An Media::Convert::Asset object for which the audio should be normalized.

Required.

  output
An Media::Convert::Asset object that the normalized audio will be written to, together with the copied video from the input file (if any).

Required. Must point to a .mkv file.

  impl
The normalizer implementation to use. Defaults to "ffmpeg". Valid options: any subclass of this module, assumes it is in the "Media::Convert::Normalizer::" namespace.

METHODS

  run
Performs the normalization.